<div
    class="bot-area"
    *ngIf="show"
>
    <div class="bot-content">
        <i
            class="material-icons close-icon"
            (click)="hidden()"
        >
            close
        </i>
        <h1>Reservation Assistant</h1>
        <div class="messanger">
            <ng-container *ngFor="let message of messages | async">
                <div
                    class="message"
                    [ngClass]="{ 'from': message.sentBy === 'bot',
                                    'to':   message.sentBy === 'user' }"
                >
                    {{ message.content }}
                </div>

            </ng-container>
        </div>
        <div class="type-message">
            <!-- <label for="nameField">Your Message</label> -->
            <!-- <input
                [(ngModel)]="formValue"
                (keyup.enter)="sendMessage()"
                type="text"
            > -->
            <mat-form-field
                appearance="outline"
                class="left"
            >
                <mat-label>Your message</mat-label>
                <input
                    matInput
                    placeholder="Type your message"
                    [(ngModel)]="formValue"
                    (keyup.enter)="sendMessage()"
                >
                <mat-icon matSuffix>sentiment_very_satisfied</mat-icon>
            </mat-form-field>
            <button
                class="send-btn"
                (click)="sendMessage()"
            >
                Send
            </button>
        </div>
    </div>
</div>
